unit Winamp;

interface

uses Windows;

type
  PwinampVisModule =^TwinampVisModule;
  TwinampVisModule = record
    description:  PChar;
    hwndParent:   HWND;
    hDllInstance: HINST;
    sRate,nCh,
    latencyMs,
    delayMs,
    spectrumNch,
    waveformNch:  Integer;
    spectrumData: array[0..1,0..575]of char;
    waveformData: array[0..1,0..575]of char;
    Config:       procedure(this_mod:PwinampVisModule);cdecl;
    Init:         function(this_mod:PwinampVisModule):Integer;cdecl;
    Render:       function(this_mod:PwinampVisModule):Integer;cdecl;
    Quit:         procedure(this_mod:PwinampVisModule);cdecl;
    userData:     Pointer;
  end;
  PwinampVisHeader =^TwinampVisHeader;
  TwinampVisHeader = record
    version:     Integer;
    description: PChar;
    getModule:   function(i:Integer):PwinampVisModule;cdecl;
  end;
  winampVisGetHeaderType=function:PwinampVisHeader;

const ver=$101;

implementation
end.
